<!--
  Generated template for the AddLeadPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar color="haldin-header">
    <ion-title>
      <h3 style="margin-right: auto; margin-left: auto;"><span class="font-color-green">add </span><span class="font-color-blue">lead</span></h3>
    </ion-title>
  </ion-navbar>
</ion-header>


<ion-content>
	<form (submit)="saveDataLead()">

		<ion-item class="lista">
			<ion-label>Sumber Data *</ion-label>
			<ion-select [(ngModel)]="regData.sumber_data" name="sumber_data">
				<ion-option value="Google">Google</ion-option>
				<ion-option value="Zomato">Zomato</ion-option>
				<ion-option value="Instagram">Instagram</ion-option>
				<ion-option value="Facebook">Facebook</ion-option>
				<ion-option value="Referal (Referensi)">Referal (Referensi)</ion-option>
				<ion-option value="On The Spot">On The Spot</ion-option>
			</ion-select>		
		</ion-item>

		<ion-item class="lista">	
			<ion-label>Provinsi *</ion-label>	
			<ion-select name="provinsiSelected" (ionChange)="onGetCity($event)" [(ngModel)]="regData.provinsiSelected">
				<ion-option *ngFor="let provinsi of data_provinsi" value="{{provinsi.id_propinsi}}">{{provinsi.nama_propinsi}}</ion-option>
			</ion-select>
		</ion-item>		
	
	  <ion-item class="lista">	
			<ion-label>Kota *</ion-label>	
			<ion-select name="citySelected" [(ngModel)]="regData.citySelected" (ionChange)="kode_agent($event)">
				<ion-option *ngFor="let city of data_city" value="{{city.id_kabkota}}">{{city.nama_kabkota}}</ion-option>
			</ion-select>
		</ion-item>	
		
		<ion-item class="lista">	
			<ion-label>Kecamatan *</ion-label>	
			<ion-select name="kecamatanSelected" [(ngModel)]="regData.kecamatanSelected">
				<ion-option *ngFor="let kecamatan of data_kecamatan" value="{{kecamatan.id_kecamatan}}">{{kecamatan.nama_kecamatan}}</ion-option>
			</ion-select>
		</ion-item>	

		<ion-item class="lista">
			<ion-label>kategori Outlet *</ion-label>
			<ion-select [(ngModel)]="regData.kategori_outlet" name="kategori_outlet">
				<ion-option value="Kantin">Kantin</ion-option>
				<ion-option value="Foodcourt">Foodcourt</ion-option>
				<ion-option value="Restaurant">Restaurant</ion-option>
				<ion-option value="Cafe">Cafe</ion-option>
				<ion-option value="Catering">Catering</ion-option>
				<ion-option value="Hotel">Hotel</ion-option>
				<ion-option value="Rumah Sakit">Rumah Sakit</ion-option>
				<ion-option value="Toko Kue">Toko Kue (Bakery)</ion-option>
				<ion-option value="Toko Es Krim">Toko Es Krim</ion-option>
				<ion-option value="Afiliasi">Afiliasi</ion-option>
			</ion-select>	
		</ion-item>

		<ion-item>
			<ion-label stacked>Nama Outlet *</ion-label>
			<ion-input type="text" [(ngModel)]="regData.nama_outlet" name="nama_outlet" clearInput=true></ion-input>
		</ion-item>
		
		<ion-item>
			<ion-label stacked>Nama Kontak 1 *</ion-label>
			<ion-input type="text" [(ngModel)]="regData.nama_kontak" name="nama_kontak" clearInput=true></ion-input>
		</ion-item>
		
		<ion-item>
			<ion-label stacked>Nomor Kontak 1</ion-label>
			<ion-input type="text" [(ngModel)]="regData.telepon" name="telepon" clearInput=true></ion-input>
		</ion-item>

		<ion-item>
			<ion-label stacked>Nama Kontak 2</ion-label>
			<ion-input type="text" [(ngModel)]="regData.nama_kontak2" name="nama_kontak2" clearInput=true></ion-input>
		</ion-item>
		
		<ion-item>
			<ion-label stacked>Nomor Kontak 2</ion-label>
			<ion-input type="text" [(ngModel)]="regData.telepon2" name="telepon2" clearInput=true></ion-input>
		</ion-item>
		
		<ion-item>
			<ion-label stacked>Email</ion-label>
			<ion-input type="text" [(ngModel)]="regData.email" name="email" clearInput=true></ion-input>
		</ion-item>
		
		<ion-item>
			<ion-label stacked>Alamat *</ion-label>
			<ion-textarea [(ngModel)]="regData.alamat" name="alamat" ></ion-textarea>
		</ion-item>

		<ion-item>
			<ion-label stacked>Nama Akun Sosial Media *</ion-label>
			<ion-input type="text" [(ngModel)]="regData.sosial_media" name="sosial_media" clearInput=true></ion-input>
		</ion-item>

		<ion-item class="lista">
			<ion-label>Kode Sales *</ion-label>
			<ion-input type="text" [(ngModel)]="regData.kode_sales" name="kode_sales" clearInput=true></ion-input>
		</ion-item>

		<ion-item>
			<ion-label stacked>Jumlah Outlet *</ion-label>
			<ion-input type="text" [(ngModel)]="regData.jumlah_outlet" name="jumlah_outlet" clearInput=true></ion-input>
		</ion-item>

		<ion-item>
			<ion-label floating> <ion-icon name="calendar"></ion-icon> Tanggal PO/OC</ion-label>
			<ion-datetime displayFormat="MMM DD YYYY" [(ngModel)]="regData.tanggal_po" name="tanggal_po"></ion-datetime>
		</ion-item>

		<ion-item>
			<ion-label stacked>Produk Yang Dibeli</ion-label>
			<ion-input type="text" [(ngModel)]="regData.produk_beli" name="produk_beli" clearInput=true></ion-input>
		</ion-item>

		<ion-item>
			<ion-label stacked>Total Rupiah</ion-label>
			<ion-input type="text" [(ngModel)]="regData.total_rupiah" name="total_rupiah" clearInput=true></ion-input>
		</ion-item>

		<ion-item>
			<ion-label floating> <ion-icon name="calendar"></ion-icon> Tanggal FU 1</ion-label>
			<ion-datetime displayFormat="MMM DD YYYY" [(ngModel)]="regData.fu_satu" name="fu_satu"></ion-datetime>
		</ion-item>

				
		<ion-item>
			<ion-label>Jam</ion-label>
			<ion-datetime displayFormat="HH:mm" [(ngModel)]="regData.jam_fu" name="jam_fu"></ion-datetime>
		  </ion-item>
		
		 <p padding>
		  <button type="submit" ion-button block class="button-color" style="background-color: #72a257;">Simpan</button>
		  </p>
	</form>
</ion-content>
